﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{

    public class TumorEvaluationInfo
    {
        public List<ExportTumorEvaluationInfo> VisitList { get; set; }
    }

    public class ExportTumorEvaluationInfo
    {
        /// <summary>
        /// 所有访视的靶病灶列表
        /// </summary>
        public List<ExportVisitData> VisitList { get; set; }

        /// <summary>
        /// 访视一
        /// </summary>
        public ExportVisitData VisitOne { get; set; }

        /// <summary>
        /// 访视二
        /// </summary>
        public ExportVisitData VisitTwo { get; set; }

        /// <summary>
        /// 访视三
        /// </summary>
        public ExportVisitData VisitThree { get; set; }

        /// <summary>
        /// 靶病灶信息
        /// </summary>
        public List<TargetInfo> TargetInfoList { get; set; }

        /// <summary>
        /// 非靶病灶信息
        /// </summary>
        public List<NoTargetInfo> NoTargetInfoList { get; set; }
    }

    public class NoTargetInfo
    {
        
    }

    public class TargetInfo
    {
        public string Title { get; set; } = string.Empty;

        public string VisitOneImgNum { get; set; } = string.Empty;

        public string VisitOneLength { get; set; } = string.Empty;

        public string VisitTwoImgNum { get; set; } = string.Empty;

        public string VisitTwoLength { get; set; } = string.Empty;

        public string VisitThreeImgNum { get; set; } = string.Empty;

        public string VisitThreeLength { get; set; } = string.Empty;
    }

    public class ExportVisitData
    {
        /// <summary>
        /// 访视名称
        /// </summary>
        public string VisitName { get; set; } = string.Empty;

        /// <summary>
        /// 检查日期
        /// </summary>
        public string CheckDate { get; set; } = string.Empty;

        /// <summary>
        /// 检查信息
        /// </summary>
        public List<DicomStudyInfo> CheckInfoList { get; set; } = new List<DicomStudyInfo>();

        /// <summary>
        /// 检查信息字符串
        /// </summary>
        public string CheckInfoStr => string.Join("/", CheckInfoList.Select(x => $"{x.Modalities}、{x.BodyPartExamined}"));



    }

    public class DicomStudyInfo
    {
        /// <summary>
        /// 检查类型
        /// </summary>
        public string Modalities { get; set; } = string.Empty;

        /// <summary>
        /// 标记
        /// </summary>
        public string BodyPartExamined { get; set; }
    }
}
